package info.bukova.isspst.ui;

import info.bukova.isspst.StringUtils;

import org.zkoss.bind.BindContext;
import org.zkoss.bind.Converter;
import org.zkoss.zk.ui.Component;

public class LocaleConverter implements Converter<String, String, Component> {

	@Override
	public String coerceToBean(String str, Component component, BindContext ctx) {
		return str;
	}

	@Override
	public String coerceToUi(String str, Component component, BindContext ctx) {
		return StringUtils.localize(str);
	}

}
